在eclipse adt中添加V7兼容包(v7 appcompat)

  • 发布于2021-11-30
  • 58 人围观
一些早期的安卓项目都使用了android.support.v7.app.AppCompatActivity,这个需要android.support.v7的扩展jar,而且AppCompatActivity是在sdk 21或版本之后才能支持的(android 4.4及小于其的版本没有AppCompatActivity,而是ActionBarActivity)。

正常的安装方式:

通过SDK Manager获取Support Library:

1.打开Android SDK Manager

2.在SDK Manager窗口,滚动到Package List的末尾,找到Extra文件夹,如果需要的话打开文件夹显示它的内容。

3.选择Android Support Library项目。

因为被墙,以上方式一般不行,无法下载。

只能离线下载安装,地址如下,其他版本要替换版本号,具体另外查询:

https://dl-ssl.google.com/android/repository/support_r24.0.2.zip


二、创建一个library项目并且确保需要的JAR文件包含在了项目的build path中:

选择File > Import。

选择Existing Android Code Into Workspace 并点击Next。

浏览SDK安装目录,并进入Support Library目录下。例如,如果你要添加appcompat项目,浏览 <sdk>/extras/android/support/v7/appcompat/。

点击Finish引入项目。对于v7 appcompat项目,你将看到一个标题为android-support-v7-appcompat的新项目。


三、在自己是项目中引用上面的v7 appcompat项目。


【参考资料】

https://www.cnblogs.com/kissazi2/p/3644848.html

标签:
关键词: